# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 53474391bcf2122921d27356a70e6da3c78d058e
    parent 1fe0a5f39a8755da4cd16e92f2ea00676d9ee3ca
    Author: Roberto E. Vargas Caballero <k0ga@shike2.com>
    Date:   Mon, 25 Nov 2013 14:09:53 +0100

    Fix stupid bug in tdefcolor returning -1 in unsigned function

    k0ga misktook applying patch of others. Sorry guys!!!!

    Diffstat:
    Mst.c | 4++--

    1 file changed, 2 insertions(+), 2 deletions(-)
    diff --git a/st.c b/st.c
    @@ -379,7 +379,7 @@ static void tsetdirtattr(int);
     static void tsetmode(bool, bool, int *, int);
     static void tfulldirt(void);
     static void techo(char *, int);
    -static uint32_t tdefcolor(int *, int *, int);
    +static int32_t tdefcolor(int *, int *, int);
     static void tselcs(void);
     static void tdeftran(char);
     static inline bool match(uint, uint);
    @@ -1666,7 +1666,7 @@ tdeleteline(int n) {
     	tscrollup(term.c.y, n);
     }

    -uint32_t
    +int32_t
     tdefcolor(int *attr, int *npar, int l) {
     	int32_t idx = -1;
     	uint r, g, b;